Bug 50345 - SAML: modernize UDM modules
SAML: modernize UDM modules
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-2-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-10 18:19 CEST by Florian Best
Modified: 2019-11-20 13:26 CET (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-10-10 18:19:15 CEST
The UDM modules in univention-saml are not state of the art:

* lookup and identify is explicit defined, without common error handling and
filter replacement
* property default values are defined
* object classes are manually added into the addlist

A lot of code can be removed.
Comment 1 Florian Best univentionstaff 2019-10-10 19:01:12 CEST
Patch in git:fbest/50345-saml-modernize-udm-modules
Comment 2 Florian Best univentionstaff 2019-11-08 17:28:01 CET
Patch applied.

univention-saml (6.0.2-14)
a5d5bf51123e | Bug #50345: modernize UDM modules

univention-saml.yaml
a5d5bf51123e | Bug #50345: modernize UDM modules
Comment 3 Johannes Keiser univentionstaff 2019-11-20 11:17:14 CET
OK: code changes
-> verified
Comment 4 Arvid Requate univentionstaff 2019-11-20 13:26:53 CET
<http://errata.software-univention.de/ucs/4.4/358.html>